{% extends 'partials/base.html.twig' %}
{% block content %}
	{% set categories = [] %}
	{% set types = [] %}
	{% set statuses = [] %}
	{% set fields = [] %}
	{% for p in page.children %}
		

		{% for k, v in p.taxonomy.category %}
			{% set categories = categories|merge([v]) %}
		{% endfor %}
		
		{% for k, v in p.taxonomy.type %}
			{% set types = types|merge([v]) %}
		{% endfor %}
		
		{% for k, v in p.taxonomy.status %}
			{% set statuses = statuses|merge([v]) %}
		{% endfor %}
		
		{% for k, v in p.taxonomy.field %}
			{% set fields = fields|merge([v]) %}
		{% endfor %}
	{% endfor %}
	{% set categories = categories|array_unique %}
	{% set types = types|array_unique %}
	{% set statuses = statuses|array_unique %}
	{% set fields = fields|array_unique %}	
	<div class="page_block">
		<div class="page_menu">
			{% include('/partials/page_header_logo.html.twig') with {'black': true} %}	
			
		</div>	
		
		<div class="page_site_content">		
			<div class="block_content ">					
					{% include('/partials/page_header_menu.html.twig') with {'black': true, 'aboutLinks': page.header.custom.menu} %}
					<div class="bread">	
						{% include('/partials/breadcrumbs.html.twig') %}
					</div>	
				<div class="text_normal squeezed">				
						<h1 class="title r2">
							{{page.header.custom.title|raw}}
						</h1>
					{{page.header.custom.text|markdown}}
				</div>	
				<div class="component_list_filter">
					<div class="title">{{'JOBTECH.CONTENT.FILTER'|t}}</div>
					{% include('/partials/filter_tags.html.twig') with {'tags': categories, 'name': 'JOBTECH.CONTENT.CATEGORY'|t} %}
					{% include('/partials/filter_tags.html.twig') with {'tags': types, 'name': 'JOBTECH.CONTENT.SUBJECT'|t} %}
					
				</div>	
				<div id="component_list" >
				{% for p in page.children.order('header.date', 'desc') %}
					{% include('/partials/news_shortt.html.twig') with {'page': p} %}
				{% endfor %}
				</div>
				
			</div>
		</div>
	</div>
	
{% endblock %}
